Resolution: Not Supported Scope FAQ Links:  

Description

Supportanfrage

hiermit wollte ich fragen ob ein ADTF-Filter in Error-Zustand auf ein bestimmtes Ereignis warten kann und wenn diese Ereignis erfüllt

ist selbständig bis in Running-Zustand welchseln kann ohne UI-Angriff(Init, start , stop)

Lösung

Ein Filter darf nie selbst seinen Zustand ändern, das macht nur der Session Manager/Runtime. Einen Fehlerzustand (der dann ja

eigentlich gar keiner ist, weil das ja gültig ist, so wie ich Dich verstanden habe) muss man selbst im Filter abhandeln (es gibt ja gar

keine Definition eines solchen in der Filter State Maschine).

History

#1 - 2020-10-01 15:15 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to AUDI

- Department set to AST

#2 - 2020-10-01 15:29 - hidden

- Status changed from In Progress to Customer Feedback Required

- Topic changed from ADTF::Common to ADTF::SDK

Hallo,

auf welche ADTF Version/Plattform geht es hier?

Kannst du bitte den Use Case genauer ausführen?

Soll der Filter die Konfiguration neustarten oder wie meinst du das?

Gruß

Michael

#3 - 2020-10-01 16:45 - hidden

Hallo Michael,

auf welche ADTF Version/Plattform geht es hier?

 Es handelt sich um ADTF2

Kannst du bitte den Use Case genauer ausführen?
 Der Filter soll in Error-State  nach regelmäßige Abstände prüfen ob eine Bedingung erfüllt ist, Wenn ja selbständig (ohne Init-, Start-, Stop-Befehl von

externen Filter oder von UI) seine Zustände bis in Running  wechseln.

Soll der Filter die Konfiguration neustarten oder wie meinst du das?

 Der Filter soll sich ohne externen Angriff vom Fehler-Zustand ins Running-Zustand ändern

Viele Grüße,

Vidal

#4 - 2020-10-02 08:42 - hidden

- Status changed from Customer Feedback Required to In Progress

#5 - 2020-10-02 11:08 - hidden

Hi Vidal,

nein kann er nicht. Ein Filter darf nie selbst seinen Zustand ändern, das macht nur der Session Manager/Runtime. Einen Fehlerzustand (der dann ja

eigentlich gar keiner ist, weil das ja gültig ist, so wie ich Dich verstanden habe) muss man selbst im Filter abhandeln (es gibt ja gar keine Definition

eines solchen in der Filter State Maschine).

Grüße,

Martin

#6 - 2020-10-09 09:20 - hidden

- Status changed from In Progress to Customer Feedback Required

#7 - 2020-10-12 09:28 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to No Customer Feedback

- Affected Products ADTF 2.14.3 added

- Platform Windows 7 64bit added

#8 - 2020-10-12 10:04 - hidden

- Project changed from 11 to Public Support

- Subject changed from Ist Polling in Error-State von ADTF möglich? to How to poll within a filter in error state ?

- Description updated

- Private changed from Yes to No

- Resolution changed from No Customer Feedback to Not Supported Scope

#9 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed
